GraphModelEvent (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.event.GraphModelEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Class GraphModelEvent

    java.lang.Object
      java.util.EventObject
          org.jgraph.event.GraphModelEvent

All Implemented Interfaces:
  Serializable

public class GraphModelEvent
extends EventObject

Encapsulates information describing changes to a graph model, and is used to notify graph model listeners of the change.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `GraphModelEvent.GraphModelChange` Defines the interface for objects that may be included into a GraphModelEvent to describe a model change.

Field Summary
`protected GraphModelEvent.GraphModelChange` | `change` The object that constitutes the change.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphModelEvent(Object source, GraphModelEvent.GraphModelChange change)` Used to create an event when cells have been changed, inserted, or removed, identifying the change as a ModelChange object.

Method Summary
`GraphModelEvent.GraphModelChange` | `getChange()` Returns the object that constitutes the change.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### change

    protected GraphModelEvent.GraphModelChange change

  The object that constitutes the change.

Constructor Detail

### GraphModelEvent

    public GraphModelEvent(Object source,
                           GraphModelEvent.GraphModelChange change)

  Used to create an event when cells have been changed, inserted, or removed, identifying the change as a ModelChange object.

Parameters:
  `source` - the Object responsible for generating the event (typically the creator of the event object passes `this` for its value)
  `change` - the object that describes the change
See Also:
  `GraphCell`

Method Detail

### getChange

    public GraphModelEvent.GraphModelChange getChange()

  Returns the object that constitutes the change.

  Returns:
    the object that constitutes the change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.